"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SignBackground {
    constructor(preventClicks) {
        require("../style/background.css");
        this.root = document.createElement('DIV');
        this.root.classList.add('sign-background');
        this.preventClicks = preventClicks;
        document.body.appendChild(this.root);
    }
    show() {
        if (this.preventClicks) {
            this.root.classList.add('sign-background-prevent');
        }
    }
    hide() {
        if (this.preventClicks) {
            this.root.classList.remove('sign-background-prevent');
        }
    }
}
exports.SignBackground = SignBackground;
